//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializegetServerMessageResponse")
inline fun getServerMessageResponse(block: gg.dsepractice.chinese.v1alpha1.GetServerMessageResponseKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.GetServerMessageResponse =
  gg.dsepractice.chinese.v1alpha1.GetServerMessageResponseKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.GetServerMessageResponse.newBuilder()).apply { block() }._build()
object GetServerMessageResponseKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.GetServerMessageResponse.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.GetServerMessageResponse.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.GetServerMessageResponse = _builder.build()

    /**
     * <code>string message = 1 [json_name = "message"];</code>
     */
    var message: kotlin.String
      @JvmName("getMessage")
      get() = _builder.getMessage()
      @JvmName("setMessage")
      set(value) {
        _builder.setMessage(value)
      }
    /**
     * <code>string message = 1 [json_name = "message"];</code>
     */
    fun clearMessage() {
      _builder.clearMessage()
    }
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.GetServerMessageResponse.copy(block: gg.dsepractice.chinese.v1alpha1.GetServerMessageResponseKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.GetServerMessageResponse =
  gg.dsepractice.chinese.v1alpha1.GetServerMessageResponseKt.Dsl._create(this.toBuilder()).apply { block() }._build()

